(setq diagnose-verbose nil)

; synth setups are places in environment/extensions folder where they are automatically
; loaded at boot up time

(def-sound-set mu80-sounds
  group Piano
        GrandPno (bank 0 1) 
        GrandPnoK (bank 1 1) 
        MelloGrP (bank 18 1) 
        PianoStr (bank 40 1) 
        Dream (bank 41 1) 
        BritePno (bank 0 2) 
        BritPnoK (bank 1 2)
        E-Grand (bank 0 3) 
        ElGrPnoK (bank 1 3) 
        Det-CP80 (bank 32 3) 
        ElGrPno1 (bank 40 3) 
        ElGrPno2 (bank 41 3) 
        HnkyTonk (bank 0 4) 
        HnkyTnkK (bank 1 4)
        E-Piano1 (bank 0 5) 
        El-Pno1K (bank 1 5) 
        MelloEP1 (bank 18 5) 
        Chor-EP1 (bank 32 5) 
        HardEl-P (bank 40 5) 
        VXEl-P1 (bank 45 5) 
        60sEl-P (bank 64 5) 
        E-Piano2 (bank 0 6) 
        El-Pno2K (bank 1 6) 
        Chor-EP2 (bank 32 6) 
        DXHard (bank 33 6) 
        DXLegend (bank 34 6) 
        DXPhase (bank 40 6) 
        DX+Analg (bank 41 6) 
        DXKotoEP (bank 42 6) 
        VXEl-P2 (bank 45 6) 
        Harpsi (bank 0 7) 
        Harpsi-K (bank 1 7) 
        Harpsi-2 (bank 25 7) 
        Harpsi-3 (bank 35 7) 
        Clavi (bank 0 8) 
        Klavi-K (bank 1 8) 
        ClaviWah (bank 27 8) 
        PulseClv (bank 64 8) 
        PierceCl (bank 65 8) 
        Celesta (bank 0 9) 
  group Percussion
        Glocken (bank 0 10)
        MusicBox (bank 0 11) 
        Orgel (bank 64 11) 
        Vibes (bank 0 12) 
        VibesK (bank 1 12) 
        HardVibe (bank 45 12) 
        Marimba (bank 0 13) 
        MarimbaK (bank 1 3) 
        SineMrmb (bank 64 13) 
        Balafon (bank 96 13) 
        Balafon2 (bank 97 13) 
        LogDrum (bank 98 13) 
        Xylophon (bank 0 14)
        TubulBel (bank 0 15) 
        ChrchBel (bank 96 15) 
        Carillon (bank 97 15) 
        Dulcimer (bank 0 16) 
        Dulcimr2 (bank 35 16)
  group Organ
        DrawOrgn (bank 0 17)
        DetDrwOr (bank 32 17) 
        60SDrOr1 (bank 33 17) 
        60sDrOr2 (bank 34 17) 
        70sDrOr1 (bank 35 17) 
        DrawOrg2 (bank 36 17) 
        60sDrOr3 (bank 37 17) 
        EvenBar (bank 38 17) 
        16+2-2/3 (bank 40 17) 
        OrganBa (bank 64 17) 
        70sDrOr2 (bank 65 17) 
        CheezOrg (bank 66 17) 
        DrawOrg3 (bank 67 17)
        PercOrgn (bank 0 18) 
        70sPcOr1 (bank 24 18) 
        DetPrcOr (bank 32 18) 
        LiteOrg (bank 33 18) 
        PercOrg2 (bank 37 18) 
        RockOrgn (bank 0 19) 
        RotaryOr (bank 64 19) 
        SloRotar (bank 65 19) 
        FstRotar (bank 66 19) 
        Chrchorg (bank 0 20) 
        ChurOrg3 (bank 32 20) 
        ChurOrg2 (bank 35 20) 
        NotreDam (bank 40 20) 
        OrgFlute (bank 64 20) 
        TrmOrgFl (bank 65 20) 
        ReedOrgn (bank 0 21) 
        PuffOrg (bank 40 21) 
        Acordion (bank 0 22) 
        AccordIt (bank 32 22) 
        Harmnica (bank 0 23) 
        Harmo2 (bank 32 23)
        TangoAcd (bank 0 24) 
        TngoAcd2 (bank 64 24)
  group Guitar
        NylonGtr (bank 0 25) 
        NylonGt2 (bank 16 25) 
        NylonGt3 (bank 25 25) 
        VelGtHrm (bank 43 25) 
        Ukulele (bank 96 25)
        SteelGtr (bank 0 26) 
        SteelGt2 (bank 16 26) 
        12StrGtr (bank 35 26) 
        Nyln&Stl (bank 40 26) 
        Stl&Body (bank 41 26) 
        Mandolin (bank 96 26) 
        JazzGtr (bank 0 27) 
        MelloGtr (bank 18 27) 
        JazzAmp (bank 32 27) 
        PdlSteel (bank 96 27) 
        CleanGtr (bank 0 28) 
        ChorusGt (bank 32 28) 
        CleanGt2 (bank 64 28) 
        MuteGtr (bank 0 29)
        FunkGtr1 (bank 40 29) 
        MuteStlG (bank 41 29) 
        FunkGtr2 (bank 43 29) 
        JazzMan (bank 45 29) 
        MuDstGt (bank 96 29) 
        Ovrdrive (bank 0 30) 
        Gt-Pinch (bank 43 30) 
        DistGtr (bank 0 31) 
        DstRthmG (bank 12 31) 
        DistGtr2 (bank 24 31) 
        DistGtr3 (bank 35 31) 
        PowerGt2 (bank 36 31) 
        PowerGt1 (bank 37 31) 
        Dst-5ths (bank 38 31) 
        FeedbkGt (bank 40 31) 
        FeedbGt2 (bank 41 31) 
        RkRythm2 (bank 43 31) 
        RockRthm (bank 45 31) 
        GtrHarmo (bank 0 32) 
        AcoHarmo (bank 64 32) 
        GtFeedbk (bank 65 32) 
        GtrHrmo2 (bank 66 32) 
  group Bass
        AcoBass (bank 0 33) 
        JazzRthm (bank 40 33) 
        VXUprght (bank 45 33) 
        FngrBass (bank 0 34) 
        FingrDrk (bank 18 34) 
        FlangeBa (bank 27 34) 
        Ba&DstEG (bank 40 34) 
        FngrSlap (bank 43 34) 
        FngBass2 (bank 45 34) 
        JazzBass (bank 64 34) 
        ModAlem (bank 65 34) 
        PickBass (bank 0 35) 
        MutePkBa (bank 28 35) 
        Fretless (bank 0 36) 
        Fretles2 (bank 32 36) 
        Fretles3 (bank 33 36) 
        Fretles4 (bank 34 36) 
        SynFretl (bank 96 36) 
        Smooth (bank 97 36) 
        SlapBas1 (bank 0 37) 
        ResoSlap (bank 27 37) 
        PunchThm (bank 32 37) 
        SlapBas2 (bank 0 38) 
        VeloSlap (bank 43 38) 
        SynBass1 (bank 0 39) 
        SynBa1Dk (bank 18 39) 
        FastResB (bank 20 39) 
        AcidBass (bank 24 39) 
        ClvBass (bank 35 39) 
        TeknoBa (bank 40 39) 
        Oscar (bank 64 39) 
        SqrBass (bank 65 39) 
        RubberBa (bank 66 39) 
        Hammer (bank 96 39) 
        SynBass2 (bank 0 40) 
        MelloSB1 (bank 6 40) 
        SeqBass (bank 12 40) 
        ClkSynBa (bank 18 40) 
        SynBa2Dk (bank 19 40) 
        SmthBa2 (bank 32 40) 
        ModulrBa (bank 40 40) 
        DXBass (bank 41 40) 
        XWireBa (bank 64 40) 
  group Strings
        Violin (bank 0 41) 
        SlowVln (bank 8 41) 
        Viola (bank 0 42)
        Cello (bank 0 43)
        Contrabs (bank 0 44)
        TremStr (bank 0 45) 
        SlwTrStr (bank 8 45) 
        SuspStr (bank 40 45)
        PizzStr (bank 0 46)
        Harp (bank 0 47) 
        YangChin (bank 40 47) 
        Timpani (bank 0 48)
  group Ensemble
        Strings1 (bank 0 49) 
        S-Strngs (bank 3 49) 
        SlowStr (bank 8 49) 
        ArcoStr (bank 24 49) 
        60sStrng (bank 35 49) 
        Orchestr (bank 40 49) 
        Orchstr2 (bank 41 49) 
        TremOrch (bank 42 49) 
        VeloStr (bank 45 49) 
        Strings2 (bank 0 50) 
        S-SlwStr (bank 3 50) 
        LegatoStr (bank 8 50) 
        WarmStr (bank 40 50) 
        Kingdom (bank 41 50) 
        70sStr (bank 64 50) 
        StrEns3 (bank 65 50) 
        SynStr1 (bank 0 51) 
        ResoStr (bank 27 51) 
        SynStr3 (bank 35 51) 
        SynStr4 (bank 64 51) 
        SSStr (bank 65 51) 
        SynStr2 (bank 0 52)
        ChoirAah (bank 0 53) 
        S-Choir (bank 3 53) 
        Ch-Aahs2 (bank 16 53) 
        MelChoir (bank 32 53) 
        ChoirStr (bank 40 53) 
        StrngAah (bank 64 53) 
        MaleAah (bank 65 53) 
        VoiceOoh (bank 0 54) 
        VoiceDoo (bank 64 54) 
        VoiceHmn (bank 96 54) 
        SynVoice (bank 0 55) 
        SynVox2 (bank 40 55) 
        Choral (bank 41 55) 
        AnaVioce (bank 64 55) 
        OrchHit (bank 0 56) 
        OrchHit2 (bank 35 56) 
        Impact (bank 64 56) 
        BrassStab (bank 65 56) 
        DoublHit (bank 66 56) 
        BrStab80 (bank 67 56) 
  group Brass
        Trumpet (bank 0 57) 
        Trumpet2 (bank 16 57) 
        BriteTrp (bank 17 57) 
        WarmTrp (bank 32 57) 
        FluglHrn (bank 96 57) 
        Trombone (bank 0 58) 
        Trmbone2 (bank 18 58) 
        Tuba (bank 0 59) 
        Tuba2 (bank 16 59) 
        MuteTrp (bank 0 60) 
        MuteTrp2 (bank 64 60) 
        FrHorn (bank 0 61) 
        FrHrSolo (bank 6 61) 
        FrHorn2 (bank 32 61) 
        HornOrch (bank 37 61) 
        BrasSect (bank 0 62) 
        SfrzndBr (bank 14 62) 
        Tp&TbSec (bank 35 62) 
        BrssFall (bank 39 62) 
        BrssSec2 (bank 40 62) 
        HiBrass (bank 41 62) 
        MelloBrs (bank 42 62) 
        SynBras1 (bank 0 63) 
        QuackBr (bank 12 63) 
        RezSynBr (bank 20 63) 
        PolyBrss (bank 24 63) 
        SynBras3 (bank 27 63) 
        JumpBrss (bank 32 63) 
        AnaVelBr (bank 45 63) 
        AnaBrss1 (bank 64 63) 
        SynBras2 (bank 0 64) 
        SoftBrs (bank 18 64) 
        SynBras4 (bank 40 64) 
        ChorBrss (bank 41 64) 
        VelBras2 (bank 45 64) 
        AnaBrss2 (bank 64 64) 
  group Reed
        SprnoSax (bank 0 65)
        AltoSax (bank 0 66) 
        SaxSect (bank 40 66) 
        HyprAlto (bank 43 66) 
        TenorSax (bank 0 67) 
        BrthTnSx (bank 40 67) 
        SoftTenr (bank 41 67) 
        TnrSax2 (bank 64 67) 
        BariSax (bank 0 68)
        Oboe (bank 0 69)
        EngHorn (bank 0 70)
        Bassoon (bank 0 71)
        Clarinet (bank 0 72) 
        BassClar (bank 96 72) 
  group Pipe
        Piccolo (bank 0 73)
        Flute (bank 0 74)
        Recorder (bank 0 75)
        PanFlute (bank 0 76) 
        PanFlut2 (bank 64 76) 
        Kawala (bank 96 76) 
        Bottle (bank 0 77)
        Shakhchi (bank 0 78)
        Whistle (bank 0 79)
        Ocarina (bank 0 80)
  group Synth\ lead
        SquareLd (bank 0 81) 
        Square2 (bank 6 81) 
        LMSquare (bank 8 81) 
        Hollow (bank 18 81) 
        Shmoog (bank 19 81) 
        Mellow (bank 64 81) 
        SoloSine (bank 65 81) 
        SineLead (bank 66 81) 
        SawLead (bank 0 82) 
        Saw2 (bank 6 82) 
        ThickSaw (bank 8 82) 
        DynaSaw (bank 18 82) 
        DigiSaw (bank 19 82) 
        BigLead (bank 20 82) 
        HeavySyn (bank 24 82) 
        WaspySyn (bank 25 82) 
        PulseSaw (bank 40 82) 
        DrLead (bank 41 82) 
        VeloLead (bank 45 82) 
        SeqAna (bank 96 82) 
        CaliopLd (bank 0 83) 
        VentSyn (bank 64 83) 
        PurePad (bank 65 83) 
        ChiffLd (bank 0 84) 
        Rubby (bank 64 84) 
        CharanLd (bank 0 85) 
        DistLead (bank 64 85) 
        WireLead (bank 65 85) 
        VoiceLd (bank 0 86) 
        SynthAah (bank 24 86) 
        VoxLead (bank 64 86) 
        FifthLd (bank 0 87) 
        BigFive (bank 35 87) 
        BassLd (bank 0 88) 
        Big&Low (bank 16 88) 
        Fat&Prky (bank 64 88) 
        SoftWurl (bank 65 88) 
  group Synth\ pad
        NewAgePd (bank 0 89) 
        Fantasy2 (bank 64 89)
        WarmPad (bank 0 90) 
        ThickPad (bank 16 90) 
        SoftPad (bank 17 90) 
        SinePad (bank 18 90) 
        HornPad (bank 64 90) 
        RotarStr (bank 65 90) 
        PolySyPd (bank 0 91) 
        PolyPd80 (bank 64 91) 
        ClickPad (bank 65 91) 
        AnaPad (bank 66 91) 
        SquarPad (bank 67 91) 
        ChoirPad (bank 0 92) 
        Heaven2 (bank 64 92) 
        LitePad (bank 65 92) 
        Itopia (bank 66 92) 
        CCPad (bank 67 92) 
        BowedPad (bank 0 93) 
        Glacier (bank 64 93) 
        GlassPad (bank 65 93)
        MetalPad (bank 0 94) 
        TinePad (bank 64 94) 
        PanPad (bank 65 94) 
        HaloPad (bank 0 95)
        SweepPad (bank 0 96) 
        Shwimmer (bank 20 96) 
        Converge (bank 27 96) 
        PolarPad (bank 64 96) 
        Sweepy (bank 65 96) 
        Celstial (bank 66 96) 
  group Synth\ effects
        Rain (bank 0 97) 
        ClaviPad (bank 45 97) 
        HrmoRain (bank 64 97) 
        AfrcnWnd (bank 65 97) 
        Caribean (bank 66 97) 
        SoundTrk (bank 0 98) 
        Prologue (bank 27 98) 
        Ancestrl (bank 64 98) 
        Rave (bank 65 98) 
        Crystal (bank 0 99) 
        SynDrCmp (bank 12 99) 
        Popcorn (bank 14 99) 
        TinyBell (bank 18 99) 
        RndGlock (bank 35 99) 
        GlockChi (bank 40 99) 
        ClearBel (bank 41 99) 
        ChorBell (bank 42 99) 
        SynMalet (bank 64 99) 
        SftCryst (bank 65 99) 
        LoudGlok (bank 66 99) 
        XmasBell (bank 67 99) 
        VibeBell (bank 68 99) 
        DigiBell (bank 69 99) 
        AirBells (bank 70 99) 
        BellHarp (bank 71 99) 
        Gamelmba (bank 72 99) 
        Atmosphr (bank 0 100) 
        WarmAtms (bank 18 100) 
        HollwRls (bank 19 100) 
        NylonEP (bank 40 100) 
        NylnHarp (bank 64 100) 
        HarpVox (bank 65 100) 
        AtmosPad (bank 66 100) 
        Planet (bank 67 100) 
        Bright (bank 0 101) 
        FantaBel (bank 64 101) 
        Smokey (bank 96 101) 
        Goblins (bank 0 102) 
        GobSyn (bank 64 102) 
        50sSciFi (bank 65 102) 
        RingPad (bank 66 102) 
        Ritual (bank 67 102) 
        ToHeaven (bank 68 102) 
        MilkyWay (bank 69 102) 
        Night (bank 70 102) 
        Glisten (bank 71 102) 
        Puffy (bank 72 102) 
        BelChoir (bank 96 102) 
        Echoes (bank 0 103) 
        EchoPad2 (bank 8 103) 
        EchoPan (bank 14 103) 
        EchoBell (bank 64 103) 
        BigPan (bank 65 103) 
        SynPiano (bank 66 103) 
        Creation (bank 67 103) 
        Stardust (bank 68 103) 
        ResoPan (bank 69 103) 
        Sci-Fi (bank 0 104) 
        Starz (bank 64 104) 
        Odyssey (bank 65 104) 
  group Ethnic
        Sitar (bank 0 105) 
        DetSitar (bank 32 105) 
        Sitar (bank 35 105) 
        Tambra (bank 96 105) 
        Tamboura (bank 97 105) 
        Banjo (bank 0 106) 
        MuteBnjo (bank 28 106) 
        Rabab (bank 96 106) 
        Gopichnt (bank 97 106) 
        Oud (bank 98 106) 
        Shamisen (bank 0 107) 
        Tsugaru (bank 96 107) 
        Koto (bank 0 108) 
        T-Koto (bank 96 108) 
        Kanoon (bank 97 108) 
        Kalimba (bank 0 109) 
        BigKalim (bank 64 109) 
        BagPipe (bank 0 110)
        Fiddle (bank 0 111)
        Shanai (bank 0 112) 
        Shanai2 (bank 64 112) 
        Pungi (bank 96 112) 
        Hichriki (bank 97 112) 
  group Percussive
        TnklBell (bank 0 113) 
        Bonang (bank 96 113) 
        Gender (bank 97 113) 
        Gamelan (bank 98 113) 
        S-Gamelan (bank 99 113) 
        RamaCym (bank 100 113) 
        AsianBel (bank 101 113) 
        Agago (bank 0 114) 
        Atrigane (bank 96 114) 
        SteelDrm (bank 0 115) 
        Tablas (bank 96 115) 
        GlasPerc (bank 97 115) 
        ThaiBell (bank 98 115) 
        WoodBlok (bank 0 116) 
        Castanet (bank 96 116) 
        TaikoDrm (bank 0 117) 
        Gr-Cassa (bank 96 117)
        MelodTom (bank 0 118) 
        MelTom2 (bank 64 118) 
        RealTom (bank 65 118) 
        RockTom (bank 66 118) 
        SynDrum (bank 0 119) 
        AnaTom (bank 64 119) 
        ElecPerc (bank 65 119) 
        RevCymbl (bank 0 120) 
        RevCym2 (bank 64 120) 
        RevSnar1 (bank 96 120) 
        RevSnar2 (bank 97 120) 
        RevKick1 (bank 98 120) 
        RevConBD (bank 99 120) 
        RevTom1 (bank 100 120) 
        RevTom2 (bank 101 120) 
  group sound\ effects
        FretNoiz (bank 0 121)
        BrthNoiz (bank 0 122)
        Seashore (bank 0 123)
        Tweet (bank 0 124)
        Telphone (bank 0 125)
        Helicptr (bank 0 126)
        Applause (bank 0 127)
        Gunshot (bank 0 128)
)

(def-controller-set mu80-controllers
  group portament
     portamento 65
     portamento-time 5
     portamento-cntr 84 
  group reset
     all-sounds-off 120
     reset-all-controllers 121
     all-notes-off 123
     omni-off 124
     omni-on 125
     mono 126
     poly 127 
  group mixer
     volume 7
     panning 10 
  group expressions
     sostenuto 66
     expression 11
     modulation 1
     resonance 71
     soft-pedal 67
     filter 74
  group adrs
     sustain 64
     release-time 72
     attact-time 73
  group effects
     reverb-level 91
     chorus-level 93
     variation-level 94
  group misc
     rpn-increment 96
     rpn-decrement 97
  group nonreg-parameters
     nrpn-lsb 98
     nrpn-msb 99
     data-entry-msb 6
     data-entry-lsb 38
  group reg-parameters
     rpn-lsb 100
     rpn-msb 101
)

(def-drumset mu80-analog
   group Misc
      HiQ1 (d# 1)
      HiQ2 (f# 2)
      SurdoMute (c# 1)
      SurdoOpen (d 1)
   group Scratch
      ScratchPush (f 1)
      ScratchPull (f# 1)
      ScratchPush2 (f# 6)
      ScratchPull2 (g 6)
   group Clicks
      ClickNoise (g# 1)
      MetroClick (a 1)
      SeqClickL (b 1)
      SeqClickH (c 2)
   group Slaps&Claps
      WhipSlap (e 1)
      FingerSnap (g 1)
      Vibraslap (a# 4)
      HandClap (d# 3)
   group Brush
      BrushTap (c# 2)
      BrushSwirlL (d 2)
      BrushSlap (d# 2)
      SDRockH (g 2)
      Sticks (g# 2)
      SnareRoll (f 2)
      OpenRimShot (a# 2)
      AnalSideStick (c# 3)
      HiQ (f# 2)
   group BassDrums
      BassDrumM (a 2)
      BDAnalogL (b 2)
      BDAnalogH (c 3)
   group Snares
      AnaSnareL (d 3)
      AnaSnareH (e 3)
   group Toms
      AnalogTom1 (f 3)
      AnalogTom2 (g 3)
      AnalogTom3 (a 3)
      AnalogTom4 (b 3)
      AnalogTom5 (c 4)
      AnalogTom6 (d 4)
   group Hihats
      AnaHHClosed1 (f# 3)
      AnaHHClosed2 (g# 3)
      AnaHHOpen (a# 3)
   group Cymbals
      AnaCymbal (c# 4)
      RideCymbal1 (d# 4)
      ChinaCymbal (e 4)
      RideCymbalCp (f 4)
      SplashCymbal (g 4)
      CrashCymbal2 (a 4)
      RideCymbal2 (b 4)
      ReversCymbal (e 2)
   group Bongos&Congas
      BongoH (c 5)
      BongoL (c# 5)
      AnaCongaH (d 5)
      AnaCongaM (d# 5)
      AnaCongaL (e 5)
   group Shakes
      AnaMaracas (a# 5)
      Shaker (a# 6)
      Tambourine (f# 4)
      Cabasa (a 5)
      GuiroShort (c# 6)
      GuiroLong (d 6)
   group Whistles
      SambaWhistlH (b 5)
      SambaWhistlL (c 6)
   group Bells
      AnaCowbel1 (g# 4)
      MetroBell (a# 1)
      BelTree (c 7)
      JingleBell (b 6)
      TriangleOpen (a 6)
      TriangleMute (g# 6)
      TimbaleH (f 5)
      TimbaleL (f# 5)
      AgagoH (g 5)
      AgagoL (g# 5)
   group Unknown
      Melody1 (c# 7)
      Melody2 (d 7)
      Melody3 (d# 7)
      Melody4 (e 7)
      Melody5 (f 7)
      Melody6 (f# 7)
      Melody7 (g 7)
   group Blocks
      AnaClaves (d# 6)
      WoodBlockH (e 6)
      WoodBlockL (f 6) 
)

(setq diagnose-verbose t)

